@echo off
echo .
echo Installation Program for PRX96 Product Support Software
echo Version 0.2      24 July 1996
echo .
if not %1x == x goto chkdrv
echo Destination Drive must be specified, eg. "INSTALL C: <Enter>"
goto crash
:chkdrv
if %1 == a: goto drvok
if %1 == A: goto drvok
if %1 == b: goto drvok
if %1 == B: goto drvok
if %1 == c: goto drvok
if %1 == C: goto drvok
if %1 == d: goto drvok
if %1 == D: goto drvok
if %1 == e: goto drvok
if %1 == E: goto drvok
echo Invalid Drive specification - must be "A:" to "E:"
goto crash
:drvok
if exist \INSTALL.BAT goto ondriv
echo Installation program must be run from source disk!
goto crash
:ondriv
cd \FPP_PRX
echo Checking for presence of all necessary files ...
echo .
if not exist .\HELP\ABOUTPRG.HLP goto nohelp
if not exist .\HELP\LOADFILE.HLP goto nohelp
if not exist .\HELP\SAVFILAS.HLP goto nohelp
if not exist .\HELP\DELFILE.HLP goto nohelp
if not exist .\HELP\POWERUP.HLP goto nohelp
if not exist .\HELP\STATUS.HLP goto nohelp
if not exist .\HELP\CANNED.HLP goto nohelp
if not exist .\HELP\GENERAL.HLP goto nohelp
if not exist .\HELP\TELEBOOK.HLP goto nohelp
if not exist .\HELP\SHRTFORM.HLP goto nohelp
if not exist .\HELP\OPTCONFG.HLP goto nohelp
if not exist .\HELP\SETPATHS.HLP goto nohelp
if not exist .\HELP\USING.HLP goto nohelp
:chkbat
rem if exist \FPP_PRX.BAT goto chkega
rem echo PRX96.BAT  Main Batch file not present.
rem goto crashfil
:chkega
if exist .\FONT\8X14FONT.COM goto chkvga
echo 8X14FONT.COM  EGA Font file not present.
goto crashfil
:chkvga
if exist .\FONT\8X16FONT.COM goto chkdef
echo 8X16FONT.COM  VGA Font file not present.
goto crashfil
:chkdef
if exist .\SETUP\DEFAULT.SET goto chkins
echo DEFAULT.SET  Default Setup file not present.
goto crashfil
:chkins
rem if exist .\INSTALL.BAT goto chkmnu
rem echo INSTALL.BAT  Installation file not present.
rem goto crashfil
:chkmnu
if exist .\PRX96.MNU goto chklng
echo PRX96.MNU  Menu file not present.
goto crashfil
:chklng
if exist .\PRX96.LNG goto chkwdo
echo PRX96.LNG  Language file not present.
goto crashfil
:chkwdo
if exist .\PRX96.WDO goto chkexe
echo PRX96.WDO  Window config file not present.
goto crashfil
:chkexe
if exist .\PRX96.EXE goto chkdrive
echo PRX96.EXE  Executable file not present.
goto crashfil
:chkdrive
echo Installing PRX96 Product Support Software on Drive %1
echo .
echo Creating directory \FPP_PRX on Drive %1
md %1\FPP_PRX
rem echo Copying Main Batch file ...
rem copy \FPP_PRX.BAT %1\FPP_PRX/v
rem if exist %1\FPP_PRX.BAT goto driveok
:copymnu
echo Copying Menu file ...
copy .\PRX96.MNU %1\FPP_PRX/v
if exist %1\FPP_PRX\PRX96.MNU goto driveok
echo Drive not present or Drive Full or problem with disk(ette).
rem echo Error copying Menu file.
goto crash
:driveok
:copyexe
echo Copying Main Executable file ...
copy .\PRX96.EXE %1\FPP_PRX/v
if exist %1\FPP_PRX\PRX96.EXE goto copylng
echo Error copying Executable file.
goto crash
:copylng
echo Copying Language file ...
copy .\PRX96.LNG %1\FPP_PRX/v
if exist %1\FPP_PRX\PRX96.LNG goto copywdo
echo Error copying Language file.
goto crash
:copywdo
echo Copying Window config file ...
copy .\PRX96.WDO %1\FPP_PRX/v
if exist %1\FPP_PRX\PRX96.WDO goto copyini
echo Error copying Language file.
goto crash
:copyini
echo Creating Initialisation file ...
if not exist %1\FPP_PRX\PRX96.INI goto noiniyet
del %1\FPP_PRX\PRX96.INI
:noiniyet
echo 1 >> %1\FPP_PRX\PRX96.INI
echo 1 >> %1\FPP_PRX\PRX96.INI
echo 1 >> %1\FPP_PRX\PRX96.INI
echo %1\FPP_PRX\setup\ >> %1\FPP_PRX\PRX96.INI
echo %1\FPP_PRX\help\ >> %1\FPP_PRX\PRX96.INI
echo %1\FPP_PRX\font\ >> %1\FPP_PRX\PRX96.INI
if exist %1\FPP_PRX\PRX96.INI goto copyrme
echo Error creating Initialisation file.
goto crash
:copyrme
if not exist .\README.TXT goto copyins
echo Copying Readme file ...
copy .\README.TXT %1\FPP_PRX/v
if exist %1\FPP_PRX\README.TXT goto copyins
echo Error copying Readme file.
goto crash
:copyins
rem echo Copying Installation file ...
rem copy .\INSTALL.BAT %1\FPP_PRX/v
rem if exist %1\FPP_PRX\INSTALL.BAT goto copyhelp
rem echo Error copying Installation file.
rem goto crash
:copyhelp
echo Creating directory \FPP_PRX\HELP on Drive %1
md %1\FPP_PRX\HELP
echo Creating directory \FPP_PRX\FONT on Drive %1
md %1\FPP_PRX\FONT
echo Creating directory \FPP_PRX\SETUP on Drive %1
md %1\FPP_PRX\SETUP
echo Copying Help files ...
copy .\HELP\ABOUTPRG.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\ABOUTPRG.HLP goto hlpflt
copy .\HELP\LOADFILE.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\LOADFILE.HLP goto hlpflt
copy .\HELP\SAVFILAS.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\SAVFILAS.HLP goto hlpflt
copy .\HELP\DELFILE.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\DELFILE.HLP goto hlpflt
copy .\HELP\POWERUP.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\POWERUP.HLP goto hlpflt
copy .\HELP\STATUS.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\STATUS.HLP goto hlpflt
copy .\HELP\CANNED.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\CANNED.HLP goto hlpflt
copy .\HELP\GENERAL.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\GENERAL.HLP goto hlpflt
copy .\HELP\TELEBOOK.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\TELEBOOK.HLP goto hlpflt
copy .\HELP\SHRTFORM.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\SHRTFORM.HLP goto hlpflt
copy .\HELP\OPTCONFG.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\OPTCONFG.HLP goto hlpflt
copy .\HELP\SETPATHS.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\SETPATHS.HLP goto hlpflt
copy .\HELP\USING.HLP %1\FPP_PRX\HELP/v
if not exist %1\FPP_PRX\HELP\USING.HLP goto hlpflt
:copyega
echo Copying EGA Font file ...
copy .\FONT\8X14FONT.COM %1\FPP_PRX\FONT/v
if exist %1\FPP_PRX\FONT\8X14FONT.COM goto copyvga
echo Error copying EGA Font file.
got crash
:copyvga
echo Copying VGA Font file ...
copy .\FONT\8X16FONT.COM %1\FPP_PRX\FONT/v
if exist %1\FPP_PRX\FONT\8X16FONT.COM goto copydef
echo Error copying VGA Font file.
goto crash
:copydef
echo Copying Default Setup file ...
copy .\SETUP\DEFAULT.SET %1\FPP_PRX\SETUP/v
if exist %1\FPP_PRX\SETUP\DEFAULT.SET goto instalok
echo Error copying Default Setup file.
goto crash
:nohelp
echo Not all Help files present.
goto crashfil
:hlpflt
echo Error copying Help files.
goto crash
:crashfil
echo Note: Installation program must be run from source disk.
:crash
echo .
echo Unable to Complete Installation.
echo .
goto exit
:instalok
echo .
echo Installation Successfully Completed.
echo .
goto exit
:exit

